@echo off
rem	Mencoder Batch-Script fr PSP Media Player 
rem 	Version 1.01, vom 7. Februar 2006
rem 	Autor: Hartmut Gieselmann
rem
rem 	Nhere Informationen siehe: Hartmut Gieselmann, Video vom Stick, 
rem	PSP-Filme in voller UMD-Qualitt kodieren und abspielen, c't 04/06, S.220
rem
rem	Filmdateien (VOB, AVI, MPEG-2) einfach auf dieses Batchfile ziehen.
rem	bitte nicht vorher demuxen, sondern kompletten Film mit Ton verwenden
rem
rem	Bitte folgende Programme installieren
rem
rem	Mencoder (precompiled): http://oss.netfarm.it/mplayer-win32.php
rem	MP3gain: http://prdownloads.sourceforge.net/mp3gain/mp3gain-win-1_2_5.exe?download
rem	PMP-Muxer: http://jonny.leffe.dnsalias.com/pmp_mod/rar2/pmp_muxer_1_02.rar
rem
rem
rem Dokumentation der Mencoder-Befehle: http://www.mplayerhq.hu/DOCS/man/en/mplayer.1.html


rem Nutzervariabeln


rem Video-Bitrate
SET vrate=768

rem Bframes: Derzeit noch auf 0 setzen, bei 2 stottert der Ton
SET bf=0

rem Bild aufhellen und Farben krftigen, damit dunkle Flchen auf der PSP nicht absaufen
SET gamma=1.2
SET contrast=1.18
SET brightness=0.13
SET saturation=1.3
SET weight=0.85


rem Schwarze Balken abschneiden und auf 16:9 bringen.
rem Als Parameter gibt man die Breite und Hhe des beschnittenen Films ein.
rem Das Material wird dann anschlieend auf 480x272 skaliert
rem Beispiel: PAL-DVD 720x576 anamorph in 2,35:1: 540x432
rem Beispiel: PAL-DVD 720x576 anamorph in 1,85:1: 680x544
rem Beispiel: SVCD 480x576 auf 16:9: 480x432   
SET width=540
SET height=432


rem	Pfade zu den Programmen, bitte anpassen (keine Leerzeichen im Pfad)
set menc="C:\Programme\Mencoder\mencoder.exe"
set mgain="C:\Programme\MP3Gain\mp3gain.exe"
set pmp="C:\Programme\pmp\pmp_muxer.exe"


:Start
if "%1"=="" goto ende

rem Kodieren in 2 Pass

%menc% %1 -sws 9 -vf harddup,eq2=%gamma%:%contrast%:%brightness%:%saturation%:1:1:1:%weight%,crop=%width%:%height%:-1:-1,scale=480:272 -ovc xvid -xvidencopts pass=1:vhq=4:turbo:max_bframes=%bf%:noqpel:nogmc:chroma_opt:me_quality=6:bvhq=1 -af resample=44100:0:2 -oac mp3lame -lameopts cbr:br=128 -of rawaudio -o %~dp1%~n1_PMP.mp3
if NOT %ERRORLEVEL% == 0 goto Fehler

%menc% %1 -sws 9 -vf harddup,eq2=%gamma%:%contrast%:%brightness%:%saturation%:1:1:1:%weight%,crop=%width%:%height%:-1:-1,scale=480:272 -ovc xvid -xvidencopts pass=2:vhq=4:bitrate=%vrate%:max_bframes=%bf%:noqpel:nogmc:chroma_opt:me_quality=6:bvhq=1 -nosound -o %~dp1%~n1_PMP.avi
if NOT %ERRORLEVEL% == 0 goto Fehler


rem Anheben der Tonlautstrke

%mgain% /c /r /s s %~dp1%~n1_PMP.mp3
if NOT %ERRORLEVEL% == 0 goto Fehler


rem muxen mit pmp

%pmp% %~dp1%~n1_PMP.avi %~dp1%~n1_PMP.mp3 %~dp1%~n1.pmp
if NOT %ERRORLEVEL% == 0 goto Fehler
del /q *_PMP.*

shift
goto Start
:Fehler
echo Fehler whrend der Rekodierung von %1
pause 10
shift
goto Start
:ende
echo Fertig!
pause 